package com.tofly.ghrq_route.module.trouble.controller;

import com.tofly.ghrq_route.module.trouble.domain.RestrictFileBean;
import com.tofly.ghrq_route.module.trouble.domain.TroubleBean;
import com.tofly.ghrq_route.module.trouble.domain.TroublePlanRecordBean;

import java.util.List;

/**
 * Created by Amu on 2017/3/8.
 */

public class TroubleCallBack implements ITroubleCallBack {
    @Override
    public void onGetTroubleList(boolean isSuccess, int errorCode, String errMsg, List<TroubleBean> troubleBeanList, int total) {

    }

    @Override
    public void onAddTrouble(boolean isSuccess, int errorCode, String errMsg, String troubleId) {

    }

    @Override
    public void onSetData(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onGetDatas(boolean isSuccess, int errorCode, String errMsg, List dataList, int total) {

    }

    @Override
    public void onUpdateTroubleBackApiState(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onGetTroubleAudio(boolean isSuccess, int errorCode, String errMsg, String path) {

    }

    @Override
    public void onGetTroubleFile(boolean isSuccess, int errorCode, String errMsg, String path) {

    }

    @Override
    public void onGetTroubleInfo(boolean isSuccess, int errorCode, String errMsg, TroubleBean troubleBean) {

    }

    @Override
    public void onAddTroubleRecord(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onGetTroubleRecordList(boolean isSuccess, int errorCode, String errMsg, List<TroublePlanRecordBean> recordList, int total) {

    }

    @Override
    public void onRemoveTroubleRecord(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onAddTroubleClearRecord(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onGetTroubleClearRecord(boolean isSuccess, int errorCode, String errMsg, List<TroublePlanRecordBean> clearRecords, int total) {

    }

    @Override
    public void onGetRestrictFileInfo(boolean isSuccess, int errorCode, String errMsg, RestrictFileBean fileBean) {

    }
}
